Loading...
Searching...
No Matches
volk_16ic_magnitude_16i.h File Reference
`#include <inttypes.h>`
`#include <limits.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <volk/volk_common.h>`
`#include <pmmintrin.h>`
`#include <xmmintrin.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_16ic_magnitude_16i_u_H

## Functions

static void | volk_16ic_magnitude_16i_a_sse3 (int16_t *magnitudeVector, const lv_16sc_t *complexVector, unsigned int num_points)
static void | volk_16ic_magnitude_16i_a_sse (int16_t *magnitudeVector, const lv_16sc_t *complexVector, unsigned int num_points)
static void | volk_16ic_magnitude_16i_generic (int16_t *magnitudeVector, const lv_16sc_t *complexVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_16ic_magnitude_16i_u_H

#define INCLUDED_volk_16ic_magnitude_16i_u_H

## Function Documentation

## volk_16ic_magnitude_16i_a_sse()

void volk_16ic_magnitude_16i_a_sse | ( | int16_t * | magnitudeVector,
|  | const lv_16sc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_16ic_magnitude_16i_a_sse3()

void volk_16ic_magnitude_16i_a_sse3 | ( | int16_t * | magnitudeVector,
|  | const lv_16sc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_16ic_magnitude_16i_generic()

void volk_16ic_magnitude_16i_generic | ( | int16_t * | magnitudeVector,
|  | const lv_16sc_t * | complexVector,
|  | unsigned int | num_points )

inline static